Bug 1193982 - trace-cmd: Make read nonblocking in find_time_stamp(
Summary: trace-cmd: Make read nonblocking in find_time_stamp(
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: trace-cmd
Version: 6.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: John Kacur
QA Contact: Chunyu Hu
URL:
Whiteboard:
Depends On:
Blocks: 1217622 1269638 1270066
TreeView+ depends on / blocked
 
Reported: 2015-02-18 16:46 UTC by John Kacur
Modified: 2018-11-16 06:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-10 20:50:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
[PATCH] trace-cmd: Make read nonblocking in find_time_stamp() (1.54 KB, application/mbox)
2015-02-18 16:46 UTC, John Kacur
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0802 0 normal SHIPPED_LIVE trace-cmd bug fix update 2016-05-10 22:38:08 UTC

Description John Kacur 2015-02-18 16:46:19 UTC
Created attachment 993237 [details]
[PATCH] trace-cmd: Make read nonblocking in find_time_stamp()

This only affects the tsc -> time of day correlation when doing
`trace-cmd record --date`.

get_date_to_ts() writes a dummy event to trace_marker and then reads it back.
Reading it back is done by looping over all per-cpu raw trace pipes and trying
to read.  This read should be non-blocking, because the dummy event can end up
on any CPU.

Comment 1 John Kacur 2015-02-18 16:58:03 UTC
Switching to rhel6.8 as this is not urgent

Comment 3 John Kacur 2015-11-18 14:14:30 UTC
The fix for this is in trace-cmd-v2.2.4 so was fixed in bz1218670
Available in 2.2.4-1 and up

Comment 8 errata-xmlrpc 2016-05-10 20:50:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0802.html


Note You need to log in before you can comment on or make changes to this bug.